Get statement
curl --request GET \
--url https://api.prod.finverse.net/statements/{statementId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.finverse.net/statements/{statementId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.finverse.net/statements/{statementId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statement_links": [
{
"expiry": "2022-06-27T03:42:33.724Z",
"statement_id": "01G62D96P4YB0N85A8D5JTM7XH",
"url": "https://storage.googleapis.com/dev2-secret-bank-integrations/01G62D8BKXA4VEYRCK1HBJ396D/statements/01G62D9575G376SJQQ8WDS4YQM.pdf?Expires=1656301353&GoogleAccessId=b-dev2-secret-sensitive-data%40finversedev1.iam.gserviceaccount.com&Signature=ZjCnpk9vB%2FjXT%2Fe7FI8ppb%2BuN9Pe1JKJplLsYYk%2BLQOUtpY%2BrJ3I%2B%2BAeGf817MkNy9soRYHQxY2yZIGO1amXTiaBHp%2Bvuz88ctLnRyc5zjbVMFra96oz5haHarbShUuTpMQzdDpTGcJaLp3mDGX8D951bzmURn73AssX0v9dFtp%2Feakz1qa%2FClYwb5oG%2F2rRXKht399%2F7Z0zionHoBXyiJPBspU76x6RzJI4YYvxWH36hTUVJQa5W4OCmFJPxy82OE9%2BY3ykjbMenEgvIWZ%2BU7GfNShAsWG2nlKh7z7e2Xnyup%2FcLRGkYJEJ9ENKrWhIC253crN4kz4Qf8kC7cP6Pw%3D%3D"
}
]
}{
"error": {
"code": 40004,
"error_code": "STATEMENT_NOT_FOUND",
"message": "statement_id cannot be found. Resource does not exist, has been deleted, or is no longer accessible.",
"request_id": "{unique_id}",
"type": "API_ERROR"
}
}{
"error": {
"code": 40004,
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR",
"details": "<string>"
}
}Statements
Get statement
Retrieve an individual statement URL, based on the statement’s id. By default, this request returns a redirect (HTTP 307 code) to a temporary statement URL (valid for 15min).
Authorization: login_identity_token
Optional parameters
Redirect mode for statement URL
URL parameter: redirect
(e.g. GET /statements/?redirect=false)
Description: Toggles the behaviour for how statement URLs are returned.
Recommended value: omit. This results in the default behaviour (redirect=true).
Accepted values:
GET
/
statements
/
{statementId}
Get statement
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The statement id
Query Parameters
when true, response will be http redirect; otherwise it will be json response with the download link
Response
Successful
Show child attributes
Show child attributes